* [gentoo-commits] gentoo-x86 commit in dev-python/python-ldap: python-ldap-9999.ebuild ChangeLog
@ 2013-06-27 18:01 Michael Weber (xmw)
0 siblings, 0 replies; 2+ messages in thread
From: Michael Weber (xmw) @ 2013-06-27 18:01 UTC (permalink / raw
To: gentoo-commits
xmw 13/06/27 18:01:50
Modified: python-ldap-9999.ebuild ChangeLog
Log:
no parallel, in-source build, fix python2.5 syntax via sed.
(Portage version: 2.2.0_alpha183/cvs/Linux x86_64, signed Manifest commit with key 62EEF090)
Revision Changes Path
1.2 dev-python/python-ldap/python-ldap-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild?r1=1.1&r2=1.2
Index: python-ldap-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- python-ldap-9999.ebuild 27 Jun 2013 14:29:10 -0000 1.1
+++ python-ldap-9999.ebuild 27 Jun 2013 18:01:50 -0000 1.2
@@ -1,11 +1,13 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild,v 1.1 2013/06/27 14:29:10 xmw Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild,v 1.2 2013/06/27 18:01:50 xmw Exp $
EAPI=5
# pypy: bug #458558 (wrong linker options due to not respecting CC)
PYTHON_COMPAT=( python{2_5,2_6,2_7,3_1,3_2} )
+DISTUTILS_IN_SOURCE_BUILD=1
+DISTUTILS_NO_PARALLEL_BUILD=1
inherit distutils-r1 git-2 multilib
@@ -27,6 +29,9 @@
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+#bug 458566
+RESTRICT=test
+
python_prepare_all() {
sed -e "s:^library_dirs =.*:library_dirs = /usr/$(get_libdir) /usr/$(get_libdir)/sasl2:" \
-e "s:^include_dirs =.*:include_dirs = \"${EPREFIX}\"/usr/include \"${EPREFIX}\"/usr/include/sasl:" \
@@ -48,6 +53,14 @@
distutils-r1_python_prepare_all
}
+python_prepare() {
+ # Syntax "except ImportError as a" works on python2.6 and newer
+ if [ "${MULTIBUILD_VARIANT}" == "python2_5" ] ; then
+ sed -e '/except/s: as :,:' \
+ -i $(find . -name "*.py") || die
+ fi
+}
+
python_compile_all() {
if use doc; then
cd Doc || die
1.127 dev-python/python-ldap/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/ChangeLog?rev=1.127&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/ChangeLog?rev=1.127&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/ChangeLog?r1=1.126&r2=1.127
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/python-ldap/ChangeLog,v
retrieving revision 1.126
retrieving revision 1.127
diff -u -r1.126 -r1.127
--- ChangeLog 27 Jun 2013 14:29:10 -0000 1.126
+++ ChangeLog 27 Jun 2013 18:01:50 -0000 1.127
@@ -1,6 +1,9 @@
# ChangeLog for dev-python/python-ldap
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/ChangeLog,v 1.126 2013/06/27 14:29:10 xmw Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/ChangeLog,v 1.127 2013/06/27 18:01:50 xmw Exp $
+
+ 27 Jun 2013; Michael Weber <xmw@gentoo.org> python-ldap-9999.ebuild:
+ no parallel, in-source build, fix python2.5 syntax via sed.
*python-ldap-9999 (27 Jun 2013)
^ permalink raw reply [flat|nested] 2+ messages in thread
* [gentoo-commits] gentoo-x86 commit in dev-python/python-ldap: python-ldap-9999.ebuild ChangeLog
@ 2014-04-09 21:32 Michal Gorny (mgorny)
0 siblings, 0 replies; 2+ messages in thread
From: Michal Gorny (mgorny) @ 2014-04-09 21:32 UTC (permalink / raw
To: gentoo-commits
mgorny 14/04/09 21:32:50
Modified: python-ldap-9999.ebuild ChangeLog
Log:
Remove python2.5 leftover.
(Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)
Revision Changes Path
1.5 dev-python/python-ldap/python-ldap-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild?r1=1.4&r2=1.5
Index: python-ldap-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- python-ldap-9999.ebuild 5 Sep 2013 18:46:36 -0000 1.4
+++ python-ldap-9999.ebuild 9 Apr 2014 21:32:50 -0000 1.5
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild,v 1.4 2013/09/05 18:46:36 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/python-ldap-9999.ebuild,v 1.5 2014/04/09 21:32:50 mgorny Exp $
EAPI=5
@@ -53,14 +53,6 @@
distutils-r1_python_prepare_all
}
-python_prepare() {
- # Syntax "except ImportError as a" works on python2.6 and newer
- if [ "${MULTIBUILD_VARIANT}" == "python2_5" ] ; then
- sed -e '/except/s: as :,:' \
- -i $(find . -name "*.py") || die
- fi
-}
-
python_compile_all() {
if use doc; then
cd Doc || die
1.131 dev-python/python-ldap/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/ChangeLog?rev=1.131&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/ChangeLog?rev=1.131&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-ldap/ChangeLog?r1=1.130&r2=1.131
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/python-ldap/ChangeLog,v
retrieving revision 1.130
retrieving revision 1.131
diff -u -r1.130 -r1.131
--- ChangeLog 5 Feb 2014 12:36:53 -0000 1.130
+++ ChangeLog 9 Apr 2014 21:32:50 -0000 1.131
@@ -1,6 +1,9 @@
# ChangeLog for dev-python/python-ldap
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/ChangeLog,v 1.130 2014/02/05 12:36:53 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/python-ldap/ChangeLog,v 1.131 2014/04/09 21:32:50 mgorny Exp $
+
+ 09 Apr 2014; Michał Górny <mgorny@gentoo.org> python-ldap-9999.ebuild:
+ Remove python2.5 leftover.
*python-ldap-2.4.14 (05 Feb 2014)
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2014-04-09 21:32 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-04-09 21:32 [gentoo-commits] gentoo-x86 commit in dev-python/python-ldap: python-ldap-9999.ebuild ChangeLog Michal Gorny (mgorny)
-- strict thread matches above, loose matches on Subject: below --
2013-06-27 18:01 Michael Weber (xmw)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox